Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Functions

# goruby.c File Reference

`#include "main.c"`
Include dependency graph for goruby.c:

Go to the source code of this file.

## Defines
#define | ruby_run_node goruby_run_node
## Functions
void | Init_golf (void)
RUBY_EXTERN int | ruby_run_node (void *)
RUBY_EXTERN void | ruby_init_ext (const char *name, void(*init)(void))
static VALUE | init_golf (VALUE arg)
int | goruby_run_node (void *arg)

## Define Documentation

#define ruby_run_node goruby_run_node

Definition at line 2 of file goruby.c.

Referenced by goruby_run_node(), and main().

## Function Documentation

int goruby_run_node | ( | void * | arg | ) |

Definition at line 17 of file goruby.c.

References EXIT_FAILURE, EXIT_SUCCESS, init_golf(), NIL_P, Qtrue, rb_protect(), and ruby_run_node.

static VALUE init_golf | ( | VALUE | arg | ) | `[static]`

Definition at line 10 of file goruby.c.

References Init_golf(), and ruby_init_ext().

Referenced by goruby_run_node().

void Init_golf | ( | void |  | ) |

Definition at line 140 of file golf_prelude.c.

References INT2FIX, prelude_code0, prelude_eval(), prelude_name0, and rb_usascii_str_new().

Referenced by init_golf().

RUBY_EXTERN void ruby_init_ext | ( | const char * | name,
|  | void(*)(void) | init
| ) |  |

Definition at line 643 of file load.c.

References init_ext_call(), load_lock(), load_unlock(), Qnil, rb_provide(), rb_str_new2(), rb_vm_call_cfunc(), and rb_vm_top_self().

Referenced by init_golf().

RUBY_EXTERN int ruby_run_node | ( | void * |  | ) |

Definition at line 247 of file eval.c.